/**
 * @copyright Maichong Software Ltd. 2016 http://maichong.it
 * @date 2016-03-23
 * @author Liang <liang@maichong.it>
 */

'use strict';

const fs = require('fs');

const child_process = require('child_process');

const dir = process.cwd() + '/';

const libs = require('./libs');

require('colors');

for (let lib of libs) {
  if (!fs.existsSync(dir + lib)) {
    console.log(`'${lib}' not found`.yellow);
    continue;
  }

  if (fs.existsSync(dir + 'node_modules/' + lib)) {
    console.log(`skip link '${lib}'`.gray);
    continue;
  }

  let cmd = `ln -s ${dir}${lib} ${dir}node_modules/${lib}`;
  console.log(cmd.green);
  child_process.execSync(cmd, {
    stdio: 'inherit'
  });
}
