/**
 * @copyright Maichong Software Ltd. 2016 http://maichong.it
 * @date 2016-03-23
 * @author Liang <liang@maichong.it>
 */

'use strict';

const fs = require('fs');

const child_process = require('child_process');

const dir = process.cwd() + '/';

let libs = process.argv.slice(2);

if (!libs.length) {
  libs = require('./libs');
}

require('colors');


for (let lib of libs) {
  if (!fs.existsSync(dir + lib)) {
    console.log(`skip pull ${lib}`.grey);
    continue;
  }
  let cmd = `${lib}: git pull`;
  console.log(cmd.green);
  child_process.execSync('git pull', {
    stdio: 'inherit',
    cwd: dir + lib
  });
}
