/**
 * watch
 * @copyright Maichong Software Ltd. 2016 http://maichong.it
 * @date 2016-03-23
 * @author Liang <liang@maichong.it>
 */

'use strict';

const libs = require('./libs');

const fs = require('fs');
const child_process = require('child_process');


require('colors');

libs.forEach(function (lib) {
  if (!fs.existsSync(lib + '/src')) {
    console.log(`skip watch '${lib}'`.gray);
    return;
  }

  let child;

  function start() {
    let cmd = `babel ${lib}/src --out-dir ${lib}/lib -w`;
    console.log(cmd.green);
    child = child_process.spawn('babel', [`${lib}/src`, '--out-dir', `${lib}/lib`, '-w'], {
      stdio: 'inherit'
    });

    child.on('error', function (e) {
      console.log(e);
    });

    child.on('exit', function () {
      process.exit();
    });
  }

  start();

});

let cmd = `webpack -w`;
console.log(cmd.green);
let child = child_process.spawn('node_modules/.bin/webpack', ['-w'], {
  stdio: 'inherit'
});

child.on('error', function (e) {
  console.log(e);
});

child.on('exit', function () {
  process.exit();
});
